/**
 * @fileoverview Main CLI object, it reads the options from cli.
 */
/**
 * Execute the analysis for the directories passed as parameter.
 * * e.g. markdown-link-validator ./documentation
 * * e.g. markdown-link-validator ./docs --debug
 * * e.g. markdown-link-validator ./docs -i https?:\/\/test\.com\/.* -f gi
 */
export declare const execute: (args: string[]) => Promise<1 | 0>;
